<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>HTML with JS embedded</title>
    <script language="javascript">
        var yourName;
        function askName() {
            yourName = prompt("what is your name");
        }

        function sayHello(nameToSay) {
            alert("hello " + nameToSay)
        }

        function askLikesStuff(stuffToAsk) {
            var likesIt = confirm(`So ${yourName}, do you like ${stuffToAsk}?`);
            if (likesIt) {//check if user clicked on OK
                alert(`You're so cool ${yourName}, I like like ${stuffToAsk} too!`);
            } else {
                alert("Well, I think you're cool anyway!");
            }
        }

        function talk() {
            askName();
            if (typeof yourName !== "undefined" && yourName !== null) { //check if user entered a value
                sayHello(yourName);
                askLikesStuff("cats");
            }
        }
    </script>
</head>
<body>
<button onclick="talk()" style="size: 500 px">Click me!!</button>
</body>
</html>